package com.sunyard.chsm.model.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.Date;

/**
 * @author liulu
 * @since 2024/11/6
 */
@Data
@TableName("sp_cert")
public class Cert {

    private Long id;
    private Long applicationId;
    private Long keyId;
    private Long keyRecordId;
    // SM2, RSA
    private String keyAlg;
    // ENC, SIGN, CERT_CHAIN
    private String certType;
    private Boolean single;
    private String version;
    private String subject;
    private String serialNumber;
    private String issuerDn;
    private Date notBefore;
    private Date notAfter;
    private String keyUsage;
    private String pubKey;
    private String encPriKey;
    private String certText;

    private String remark;
    private LocalDateTime createTime;
    private LocalDateTime updateTime;

}
