package com.sunyard.ssp.modules.user.entity;

import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author admin
 */
@Data
public class ULoginDto {

    @NotNull(message = "RA随机数不能为空")
    private String ra;

    @NotNull(message = "RB随机数不能为空")
    private String rb;

    @NotNull(message = "签名信息不能为空")
    private String signInfo;

    @NotNull(message = "用户id不能为空")
    private Long userId;

    @NotNull(message = "签名数据不能为空")
    private String signData;

}
